A-A+

CATIA使用VBA(VBS)二次開發時用戶的交互選擇

2019年06月29日 11:50:40 CAD 暫無評論 閱讀 169 views 次

在CATIA中使用VBA(VBS)二次開發時,可以使用SelectElement2方法來進行交互,實現用戶的選擇,使用Item2來獲取選擇集中的元素。此方法可以進行基準面、點、線、曲面、實體等任意類的選擇。用戶交互選擇示例代碼如下:

Sub catmain()

Dim iSelection

Set iSelection = CATIA.ActiveDocument.Selection

Dim iStatus, iType(0)

'選擇Geometrical set部件集

iType(0) = "HybridBody"

iStatus = iSelection.SelectElement2(iType, "Please select the Geometrical Set", False)

If iStatus = "Redo" Or iStatus = "Undo" Or iStatus = "Cancel" Then   

    Exit Sub   

End If

Dim iName, iHB,ix

'獲取名稱

iName = iSelection.Item2(1).Value.Name

iSelection.Clear

'選擇曲面、參考面等HybridShape元素

iType(0) = "HybridShape"

iStatus = iSelection.SelectElement2(iType, "Please select the Surface", False)

If iStatus = "Redo" Or iStatus = "Undo" Or iStatus = "Cancel" Then   

    Exit Sub   

End If

'獲取名稱

iName = iSelection.Item2(1).Value.Name

iSelection.Clear

End Sub

本站微信公衆賬号,歡迎關注,如有問題可在下方留言也可在公衆賬号提問。

微信公衆賬号

給我留言